# Display power mode

A decision block that checks the power mode for a physical display.

If the proceed option is set to Immediately, then check the current display power mode without pausing the fiber. If set to When changed, then the fiber will pause until the display power mode has changed.

The YES path is executed if the current mode is any of the selected modes, otherwise the NO path is executed.

Note! This feature requires Android 5+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Power modes — modes to check for, default is any.
- Display id — id of the display to check, see Display query block, default is id of the primary display.

## Output variables

- Current power mode — variable to assign the displays current power mode, or `null` if unknown.